Bug 264432 - good moodbar color scheme got removed
Summary: good moodbar color scheme got removed
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Moodbar (show other bugs)
Version: 2.4-GIT
Platform: Unlisted Binaries Linux
: NOR normal with 23 votes (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords: regression
: 266993 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-27 10:32 UTC by poelzi
Modified: 2012-10-21 12:04 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments
Moodbar screenshot: default vs happy color scheme (72.15 KB, image/png)
2011-04-13 18:06 UTC, Florian Eßer
Details
Comparison of different moodbar styles (152.69 KB, image/png)
2011-11-03 10:29 UTC, Florian Eßer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description poelzi 2011-01-27 10:32:58 UTC
Version:           2.4.0
OS:                Linux

The moodbar default colors changed in 2.4 to something less useful.

Please readd the old default color scheme, maybe as a new name, but now i have to use happy which is just terrible.

Reproducible: Always

Steps to Reproduce:
enable moodbar with default colors

Actual Results:  
pale and useless

Expected Results:  
should look like 2.3 not like frozen. Even frozen is now more colorful :-(
Comment 1 Myriam Schweingruber 2011-01-28 14:27:05 UTC
Confirmed, the default looks different.
Comment 2 poelzi 2011-01-28 22:43:03 UTC
i suggest simply adding a new entry "medium" or so, which does not set any value at all, so it's the old default.

long term would be nice to have a config entries file for this settings.
Comment 4 Lukas Middendorf 2011-02-17 23:09:35 UTC
I really like the moodbar feature, but this change makes it quite useless.
Comment 5 Myriam Schweingruber 2011-02-19 13:41:16 UTC
(In reply to comment #4)
> I really like the moodbar feature, but this change makes it quite useless.

Well, this bug report will be acted upon ASAP, we only have two hands per developer and all are working in their free time.
Comment 6 Myriam Schweingruber 2011-02-25 10:26:23 UTC
*** Bug 266993 has been marked as a duplicate of this bug. ***
Comment 7 Ralf Engels 2011-02-25 22:25:26 UTC
Hi,
as far as I see it (and I am no expert in mood bars) the default style uses the amarok theme colors. Stylish but not very colorfull.

However in the settings you can switch the style. If you want something with more colors just choose the "happy".

Might it be that you rather want "happy" to be the default?
If not, which of the styles do you like most?
Comment 8 Ralf Engels 2011-02-25 22:31:13 UTC
Upps, just re-read the original bug entry.
That actually answers all my questions.

Will fix
Comment 9 Ralf Engels 2011-02-26 00:49:52 UTC
Checked the provided commit and also if there are any more changes.
Here is the relevant code:

-          default: // Happy
+        case 3: // Happy
-snip-
+
+        default: // Default (system colours)

Previously "Happy" was the default.
The commit adds a new system colours default.

Reverting the patch would just mean that the "terrible" Happy theme would be default again.

Sorry, won't fix.
Comment 10 Myriam Schweingruber 2011-02-27 11:07:14 UTC
You don't understand: even Happy is not anymore the colors it used to be. All colors look dull now. There was definitely a change somewhere, and this is a regression. Reopening.
Comment 11 Ralf Engels 2011-04-11 17:15:19 UTC
Sorry,
maybe you changed your kde style.

How about making two pictures (one with the old and one with the new colors) to show me what you mean?
Comment 12 Myriam Schweingruber 2011-04-12 11:14:55 UTC
I never change my KDE style and always use the default color scheme provided by KDE. The default moodbar has definitely changed and looks different than before. Apparently the current default mood is the same as Frozen. The only one still looking correct is Happy
Comment 13 karaluh 2011-04-12 17:11:51 UTC
(In reply to comment #11)
> maybe you changed your kde style.

No, I did not. Come on, the moodbar color change is even listed on a release page.
 
> How about making two pictures (one with the old and one with the new colors) to
> show me what you mean?

See main screenshot on Amarok moodbar wiki page.
Comment 14 Ralf Engels 2011-04-13 13:30:05 UTC
At this place I would like to copy my old comment:

-          default: // Happy
+        case 3: // Happy
-snip-
+
+        default: // Default (system colours)

Previously "Happy" was the default.
The commit adds a new system colours default.


I can't believe that the old default (which was Happy) is different from the current Happy.
I would like to see a screenshot. This would also allow me (if they are really different) to restore the old look.
Comment 15 karaluh 2011-04-13 13:46:55 UTC
(In reply to comment #14)
> I can't believe that the old default (which was Happy) is different from the
> current Happy.

I've found it:
http://amarok.kde.org/blog/archives/1115-Post-Amarok-2.2.1-Adding-some-color-to-your-life!.html

"Even the 4 different moodbar "styles" (normal, angry, frozen and happy) have been ported over."

Currently, there's no "normal" style in the moodbar configuration. There's "default" instead.

As for the commit, something else must've been changed also, because the relase notes state:
http://amarok.kde.org/en/releases/2.4.0

"The default moodbar style now uses system colors." not "The default moodbar style is changed from Happy to Default".
Comment 16 Florian Eßer 2011-04-13 18:06:56 UTC
Created attachment 58906 [details]
Moodbar screenshot: default vs happy color scheme

Happy is more colorful than the old default scheme.

The default one uses the original RGB values as they are stored in the *.mood file, while the happy scheme increases saturation and value of the colors.

I patched my Amarok's src/moodbar/MoodbarManager.cpp back to the old default values. Here is the code (starting at line 311):

switch( paintStyle )
{
case 1: // Angry
	threshold  = samples / 360 * 9;
	rangeStart = 45;
	rangeDelta = -45;
	sat        = 200;
	val        = 100;
	break;

case 2: // Frozen
	threshold  = samples / 360 * 1;
	rangeStart = 140;
	rangeDelta = 160;
	sat        = 50;
	val        = 100;
	break;

case 3: // Happy
	threshold  = samples / 360 * 2;
	rangeStart = 0;
	rangeDelta = 359;
	sat        = 150;
	val        = 200;
	break;

default: // old default: don't change Moodfile's RGB
	threshold  = samples / 360 * 3;
	rangeStart = 0;
	rangeDelta = 359;
	sat        = 100;
	val        = 100;
	break;
/*    
default: // Ugly default (system colours)
	threshold  = samples / 360 * 3;
	rangeStart = The::paletteHandler()->highlightColor().hsvHue();
	rangeStart = (rangeStart - 20 + 360) % 360;
	rangeDelta = 20;
	sat        = The::paletteHandler()->highlightColor().hsvSaturation();
	val        = The::paletteHandler()->highlightColor().value() / 2;
*/
}
Comment 17 Myriam Schweingruber 2011-04-14 11:40:13 UTC
Yes, the old "Normal" style is gone, and the "Default" style for me currently is the same as "Frozen", so no system colors here AFAICS. It would be sensoible to either get the old "Normal" style back or to really set "Default" to system colors.
Comment 18 Kevin Funk 2011-06-04 12:36:41 UTC
Git commit 82d102ba32e0a1b6a154dfe4653e786229c0dcb7 by Kevin Funk.
Committed on 04/06/2011 at 12:30.
Pushed by kfunk into branch 'master'.

Fix "Happy" moodbar theme

Obviously f78aae8053d2021ec64dc43a3d23f112b8636508 changed some of the
"Happy" theme parameters.

BUG: 264432
FIXED-IN: 2.4.1

M  +1    -0    ChangeLog     
M  +1    -1    src/moodbar/MoodbarManager.cpp     

http://commits.kde.org/amarok/82d102ba32e0a1b6a154dfe4653e786229c0dcb7
Comment 19 Florian Eßer 2011-11-03 10:28:23 UTC
Sorry to reheat this old topic, but upgrading to Kubuntu 11.10 (overwriting my self-compiled Amarok version) made me recognize that this bug is still not fixed.
The old "Normal" style was and is *not* the (IMHO ugly) happy style, so 82d102ba32e0a1b6a154dfe4653e786229c0dcb7 did not really fix the bug. Please have a look at the attached screenshot for a comparison of the different moodbar styles!

I have submitted a review request at https://git.reviewboard.kde.org/r/103036/ which re-adds the old "Normal" style as a fourth option.
Comment 20 Florian Eßer 2011-11-03 10:29:59 UTC
Created attachment 65187 [details]
Comparison of different moodbar styles

Comparison of different moodbar styles
Comment 21 Myriam Schweingruber 2011-11-03 17:31:52 UTC
Kevin, could you please have a look?
Comment 22 Myriam Schweingruber 2012-10-21 12:04:44 UTC
Fixed by commit ccd5d56ddef7e6858715f2c14f9b00c728f3657a on November 8, 2011